Subject: [Dots] Items from shepherd review of draft-ietf-dots-architecture

From: Roman Danyliw <[email-masked]>
Date: Mon, 4 Feb 2019 19:03:52 +0000

Hello!

I found a few issues using idnits when completing my shepherd write-up of draft-ietf-dots-architecture.  Could these please be fixed and a -11 published.

(1) No IANA Considerations section.  While there is no action for IANA, the next needs to explicitly say something to that effect.  See Section2.2 of https://www.ietf.org/id-info/checklist

(2) A few of the references need to be updates.  From IDnits:

--[ snip ]--
  == Outdated reference: A later version (-18) exists of
     draft-ietf-dots-requirements-16

  == Outdated reference: A later version (-17) exists of
     draft-ietf-dots-use-cases-16

  == Outdated reference: draft-ietf-opsawg-nat-yang has been published as RFC
     8512

  -- Obsolete informational reference (is this intentional?): RFC 5246
     (Obsoleted by RFC 8446)
--[snip]--

Thanks,
Roman

---

From: "Konda, Tirumaleswar Reddy" <[email-masked]>
Date: Wed, 6 Feb 2019 08:41:16 +0000

Hi Roman,

Please see inline

> -----Original Message-----
> From: Dots <[email-masked]> On Behalf Of Roman Danyliw
> Sent: Tuesday, February 5, 2019 12:34 AM
> To: [email-masked]
> Subject: [Dots] Items from shepherd review of draft-ietf-dots-architecture
> 
> 
> 
> Hello!
> 
> I found a few issues using idnits when completing my shepherd write-up of
> draft-ietf-dots-architecture.  Could these please be fixed and a -11 published.
> 
> (1) No IANA Considerations section.  While there is no action for IANA, the next
> needs to explicitly say something to that effect.  See Section2.2 of
> https://www.ietf.org/id-info/checklist

Fixed.

>   == Outdated reference: draft-ietf-opsawg-nat-yang has been published as RFC

Updated

>   -- Obsolete informational reference (is this intentional?): RFC 5246

We discussed reference to RFC5246 in DOTS signal channel draft with Benjamin, see https://mailarchive.ietf.org/arch/msg/dots/n6UQxjvffL4i7hxk0o6D3eRjV20
I have updated the text as follows:

This challenge might
in part be mitigated by use of resumption via a PSK in TLS 1.3
[RFC8446] and DTLS 1.3 [I-D.ietf-tls-dtls13] (session resumption in
TLS 1.2 [RFC5246] and DTLS 1.2 [RFC6347])

Cheers,
-Tiru

> --[snip]--
> 
> Thanks,
> Roman
> 
> _______________________________________________
> Dots mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dots

---

From: Roman Danyliw <[email-masked]>
Date: Thu, 7 Feb 2019 15:17:51 +0000

Hi Tiru!

Thanks for these changes.  I'm now just waiting on the IPR statements to progress the document.

Roman

> From: Konda, Tirumaleswar Reddy
> [mailto:[email-masked]]
> Sent: Wednesday, February 06, 2019 3:41 AM
> To: Roman Danyliw <[email-masked]>; [email-masked]
> Subject: RE: Items from shepherd review of draft-ietf-dots-architecture
> 
> Hi Roman,
> 
> Please see inline
> 
> > I found a few issues using idnits when completing my shepherd write-up
> > of draft-ietf-dots-architecture.  Could these please be fixed and a -11
> published.
> >
> > (1) No IANA Considerations section.  While there is no action for
> > IANA, the next needs to explicitly say something to that effect.  See
> > Section2.2 of https://www.ietf.org/id-info/checklist
> 
> Fixed.
> 
> >
> We discussed reference to RFC5246 in DOTS signal channel draft with
> Benjamin, see
> https://mailarchive.ietf.org/arch/msg/dots/n6UQxjvffL4i7hxk0o6D3eRjV20
> in part be mitigated by use of resumption via a PSK in TLS 1.3 [RFC8446] and
> DTLS 1.3 [I-D.ietf-tls-dtls13] (session resumption in TLS 1.2 [RFC5246] and
> DTLS 1.2 [RFC6347])
> 
> Cheers,
> -Tiru
> 
> > --[snip]--
> >
> > Thanks,
> > Roman
> >